package com.liang.service;

import com.liang.entity.PrjPayplanname;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;

import java.util.List;
import java.util.Map;

/**
 * 外语语种(PrjPayplanname)表服务接口
 *
 * @author makejava
 * @since 2023-06-30 10:33:05
 */
public interface PrjPayplannameService {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    PrjPayplanname queryById(Integer id);

    /**
     * 分页查询
     *
     * @param prjPayplanname 筛选条件
     * @param pageRequest    分页对象
     * @return 查询结果
     */
    Page<PrjPayplanname> queryByPage(PrjPayplanname prjPayplanname, PageRequest pageRequest);

    /**
     * 新增数据
     *
     * @param prjPayplanname 实例对象
     * @return 实例对象
     */
    PrjPayplanname insert(PrjPayplanname prjPayplanname);

    /**
     * 修改数据
     *
     * @param prjPayplanname 实例对象
     * @return 实例对象
     */
    PrjPayplanname update(PrjPayplanname prjPayplanname);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    boolean deleteById(Integer id);

    /**
     * 获取付款计划名称
     *
     * @return
     */
    List<Map<String, String>> getPlanName();
}
